package io.renren.modules.aspen.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.aspen.dao.TDashboarddataDao;
import io.renren.modules.aspen.entity.TDashboarddataEntity;
import io.renren.modules.aspen.service.TDashboarddataService;


@Service("tDashboarddataService")
public class TDashboarddataServiceImpl extends ServiceImpl<TDashboarddataDao, TDashboarddataEntity> implements TDashboarddataService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<TDashboarddataEntity> page = this.page(
                new Query<TDashboarddataEntity>().getPage(params),
                new QueryWrapper<TDashboarddataEntity>()
        );

        return new PageUtils(page);
    }

}