/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 * <p>
 * https://www.renren.io
 * <p>
 * 版权所有，侵权必究！
 */

package io.renren.modules.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.SysDeptEntity;
import io.renren.modules.sys.entity.SysPlantEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 装置管理
 *
 * @author Mark 735032128@qq.com
 */
@Mapper
public interface SysPlantDao extends BaseMapper<SysPlantEntity> {

    List<SysPlantEntity> queryList(Map<String, Object> params);

    /**
     * 查询子部门ID列表
     * @param parentId  上级部门ID
     */
    List<Long> queryPlantIdList(Long parentId);

}
