package io.renren.modules.aspen.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("T_DASHBOARDDAY")
@KeySequence(value = "SEQ_T_DASHBOARDDAY")
public class TDashboarddayEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/** 唯一标识ID */
	@TableId(type = IdType.INPUT)
	private Long id;

	/** 删除状态 */
	private Long delFlag;

	/** 创建人 */
	private String createrCode;

	/** 抓取时间 */
	private Date createdate;

	/** 修改人 */
	private String updaterCode;

	/** 修改时间 */
	private Date updatedate;

	/** 前日产量 C2H4 */
	private String dailyYixi;

	/** 前日产量C3H6 */
	private String dailyBingxi;

	/** 加工损失率 */
	private String lossRate;

	/** 每日能耗 */
	private String energyConsumption;

	/** 产品产量 */
	private String productPutput;

	/** 数据日期 */
	@JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
	private Date dataDate;

	/** 抓取数据日 */
	private String dateDay;


}
