package io.renren.modules.aspen.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;
import io.renren.modules.aspen.dao.TDashboarddayDao;
import io.renren.modules.aspen.entity.TDashboarddayEntity;
import io.renren.modules.aspen.service.TDashboarddayService;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service("tDashboarddayService")
public class TDashboarddayServiceImpl extends ServiceImpl<TDashboarddayDao, TDashboarddayEntity> implements TDashboarddayService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<TDashboarddayEntity> page = this.page(
                new Query<TDashboarddayEntity>().getPage(params),
                new QueryWrapper<TDashboarddayEntity>()
        );

        return new PageUtils(page);
    }

}