package io.renren.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * ${comments}
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-12-25 15:57:17
 */
@Data
@TableName("SYS_UNIT")
public class SysUnitEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 单元id
	 */
	@TableId
	private Integer unitId;
	/**
	 * 装置名称
	 */
	private String plantName;
	/**
	 * 单元名称
	 */
	private String name;
	/**
	 * $column.comments
	 */
	private Integer orderNum;
	/**
	 * $column.comments
	 */
	private Integer delFlag;
	/**
	 * 单元中文名
	 */
	private String cname;
	/**
	 * 备注
	 */
	private String remarks;

}
